package com.uniyaz.flexcity.ui.presentation.common;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

import javax.servlet.ServletException;

import org.jsoup.nodes.Document;
import org.jsoup.nodes.Element;

import com.vaadin.annotations.PreserveOnRefresh;
import com.vaadin.server.BootstrapFragmentResponse;
import com.vaadin.server.BootstrapListener;
import com.vaadin.server.BootstrapPageResponse;
import com.vaadin.server.SessionInitEvent;
import com.vaadin.server.SessionInitListener;
import com.vaadin.server.ThemeResource;
import com.vaadin.server.VaadinServlet;
import com.vaadin.server.VaadinServletService;

public class FlexCityVaadinServlet extends VaadinServlet {

	@Override
	protected void servletInitialized() throws ServletException {
		super.servletInitialized();
		
		VaadinServletService service = getService();

		getService().addSessionInitListener(new SessionInitListener() {

            private static final long serialVersionUID = -7450528266754788830L;

            public void sessionInit(SessionInitEvent event) {
                event.getSession().addBootstrapListener(new BootstrapListener() {

                    /**
                     *
                     */
                    private static final long serialVersionUID = 7553693042995782446L;

                    @Override
                    public void modifyBootstrapPage(BootstrapPageResponse response) {
                        
                        Document document = response.getDocument();

                        Element head = document.getElementsByTag("head").get(0);

                                      
                        if (response.getUiClass().getAnnotation(PreserveOnRefresh.class) != null) {
                        	Element element = document.createElement("script");
                            element.attr("type", "text/javascript");
                            element.attr("src","./VAADIN/themes/FlexCityTheme/externalJs/jquery-1.4.3.min.js");
                            head.appendChild(element);
                            
                            element = document.createElement("script");
                            element.attr("type", "text/javascript");
                            element.attr("src","./VAADIN/themes/FlexCityTheme/externalJs/splitter.js");
                            head.appendChild(element);
                        	
//                            element = document.createElement("script");
//                            element.attr("type", "text/javascript");
//                            element.attr("src","./VAADIN/themes/orfur/externalJs/FlexCityJavaScript.js");
//                            head.appendChild(element);
                            
                            
//                        	element = document.createElement("script");
//                            element.attr("type", "text/javascript");
//                            element.append("\n$(document).ready(function() {");
//                            element.append("\nalert('test');");
//                            element.append("\n$('#splitterContainer').splitter({minAsize:100,maxAsize:300,splitVertical:true,A:$('#leftPane'),B:$('#rightPane'),slave:$('#rightSplitterContainer'),closeableto:0});");
//                            //element.appendText("\n$(\"#splitterContainer\").splitter({minAsize:100,maxAsize:300,splitVertical:true,A:$('#leftPane'),B:$('#rightPane'),slave:$('#rightSplitterContainer'),closeableto:0});");
//                            element.append("\n$('#rightSplitterContainer').splitter({splitHorizontal:true,A:$('#rightTopPane'),B:$('#rightBottomPane'),closeableto:100});");
//                            element.append("\n});");
//                            head.appendChild(element);
                            
                            
                        }
                        
            
                    }

                    @Override
                    public void modifyBootstrapFragment(BootstrapFragmentResponse response) {
                        
                        
                    }
                });
            }
		});
	}

}